# quotes.R

#' Quotes on statistics, data visualization and science
#'
#' A data frame with quotations.  The variables are:
#'
#' \itemize{
#'   \item \code{qid} quote ID, a numeric vector
#'   \item \code{text} text of the quote
#'   \item \code{source} person(s) who said the quote.
#'   \item \code{citation} citation of the quote
#'   \item \code{url} URL of the quote
#'   \item \code{tags} tags used for searching
#'   \item \code{tex} TeX-style citation
#' }
#'
#' @docType data
#' @keywords datasets
#' @name quotes
#' @usage data(quotes)
#' @format A data frame
#' @eval convert_quotes_txt_to_rda()
NULL
